diff -urN -X diff-exclude.txt /var/tmp/ax7z_src-orig/00am.sln ./00am.sln
--- /var/tmp/ax7z_src-orig/00am.sln	2004-10-07 19:57:12.000000000 +0900
+++ ./00am.sln	2013-08-17 22:00:04.872222400 +0900
@@ -1,34 +1,19 @@
-Microsoft Visual Studio Solution File, Format Version 8.00
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "00am", "00am.vcproj", "{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}"
-	ProjectSection(ProjectDependencies) = postProject
-	EndProjectSection
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 2012
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "00am", "00am.vcxproj", "{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}"
 EndProject
 Global
-	GlobalSection(SourceCodeControl) = preSolution
-		SccNumberOfProjects = 2
-		SccProjectName0 = \u0022$/Hamana/00am\u0022,\u0020FHBAAAAA
-		SccLocalPath0 = ..
-		SccProvider0 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
-		CanCheckoutShared = false
-		SccProjectFilePathRelativizedFromConnection0 = if7z\\
-		SolutionUniqueID = {F41EEF12-39F9-46A7-ABEF-136E24B830E0}
-		SccProjectUniqueName1 = 00am.vcproj
-		SccLocalPath1 = ..
-		CanCheckoutShared = false
-		SccProjectFilePathRelativizedFromConnection1 = if7z\\
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
 	EndGlobalSection
-	GlobalSection(SolutionConfiguration) = preSolution
-		Debug = Debug
-		Release = Release
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Debug|Win32.ActiveCfg = Debug|Win32
+		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Debug|Win32.Build.0 = Debug|Win32
+		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Release|Win32.ActiveCfg = Release|Win32
+		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
-	GlobalSection(ProjectConfiguration) = postSolution
-		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Debug.ActiveCfg = Debug|Win32
-		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Debug.Build.0 = Debug|Win32
-		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Release.ActiveCfg = Release|Win32
-		{BB1F21AB-35C8-4474-AD0E-5138023DCD7C}.Release.Build.0 = Release|Win32
-	EndGlobalSection
-	GlobalSection(ExtensibilityGlobals) = postSolution
-	EndGlobalSection
-	GlobalSection(ExtensibilityAddIns) = postSolution
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
 	EndGlobalSection
 EndGlobal
diff -urN -X diff-exclude.txt /var/tmp/ax7z_src-orig/00am.vcproj ./00am.vcproj
--- /var/tmp/ax7z_src-orig/00am.vcproj	2005-09-26 03:31:18.000000000 +0900
+++ ./00am.vcproj	2015-01-09 00:41:22.338847500 +0900
@@ -3,6 +3,7 @@
 	ProjectType="Visual C++"
 	Version="7.10"
 	Name="00am"
+	RootNamespace="00am"
 	SccProjectName="&quot;$/Hamana/00am&quot;, FHBAAAAA"
 	SccAuxPath=""
 	SccLocalPath=".."
@@ -24,12 +25,13 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories=".,7z"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;MY00AM_EXPORTS"
+				AdditionalIncludeDirectories=".;7z;&quot;C:\Program Files (x86)\Library\boost\boost_1_50&quot;"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;MY00AM_EXPORTS;EXTERNAL_CODECS"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
-				RuntimeTypeInfo="FALSE"
+				TreatWChar_tAsBuiltInType="TRUE"
+				RuntimeTypeInfo="TRUE"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Release/00am.pch"
 				AssemblerListingLocation=".\Release/"
@@ -42,9 +44,11 @@
 				Name="VCCustomBuildTool"/>
 			<Tool
 				Name="VCLinkerTool"
-				OutputFile="Release/ax7z.spi"
+				AdditionalDependencies="comctl32.lib version.lib"
+				OutputFile="Release/ax7z_s.spi"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="&quot;C:\Program Files (x86)\Library\boost\boost_1_50\lib&quot;"
 				ModuleDefinitionFile=".\ax7z.def"
 				ProgramDatabaseFile=".\Release/ax7z.pdb"
 				ImportLibrary=".\Release/ax7z.lib"
@@ -89,10 +93,12 @@
 			<Tool
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories=".,7z"
-				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;MY00AM_EXPORTS"
+				AdditionalIncludeDirectories=".;7z;&quot;C:\Program Files (x86)\Library\boost\boost_1_50&quot;"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;MY00AM_EXPORTS;EXTERNAL_CODECS"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
+				TreatWChar_tAsBuiltInType="TRUE"
+				RuntimeTypeInfo="TRUE"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/00am.pch"
 				AssemblerListingLocation=".\Debug/"
@@ -107,9 +113,11 @@
 				Name="VCCustomBuildTool"/>
 			<Tool
 				Name="VCLinkerTool"
-				OutputFile="F:\projects\hamana\Hamana\target\DefaultSPIs\ax7z.spi"
+				AdditionalDependencies="comctl32.lib version.lib"
+				OutputFile="$(OutDir)/ax7z_s.spi"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="&quot;C:\Program Files (x86)\Library\boost\boost_1_50\lib&quot;"
 				ModuleDefinitionFile=".\ax7z.def"
 				GenerateDebugInformation="TRUE"
 				ProgramDatabaseFile=".\Debug/ax7z.pdb"
@@ -250,6 +258,18 @@
 					RelativePath=".\7z\Common\MyCom.h">
 				</File>
 				<File
+					RelativePath=".\7z\common\MyString.cpp">
+				</File>
+				<File
+					RelativePath=".\7z\common\MyString.h">
+				</File>
+				<File
+					RelativePath=".\7z\common\MyVector.cpp">
+				</File>
+				<File
+					RelativePath=".\7z\common\MyVector.h">
+				</File>
+				<File
 					RelativePath=".\7z\Common\StdInStream.cpp">
 					<FileConfiguration
 						Name="Release|Win32">
@@ -308,26 +328,6 @@
 					RelativePath=".\7z\7zip\Common\StreamUtils.h">
 				</File>
 				<File
-					RelativePath=".\7z\Common\String.cpp">
-					<FileConfiguration
-						Name="Release|Win32">
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-							ObjectFile="$(IntDir)/$(InputName)1.obj"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32">
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-							ObjectFile="$(IntDir)/$(InputName)1.obj"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath=".\7z\Common\String.h">
-				</File>
-				<File
 					RelativePath="7z\Common\StringConvert.cpp">
 					<FileConfiguration
 						Name="Release|Win32">
@@ -373,26 +373,6 @@
 					RelativePath=".\7z\Common\StringToInt.h">
 				</File>
 				<File
-					RelativePath=".\7z\Common\Vector.cpp">
-					<FileConfiguration
-						Name="Release|Win32">
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-							ObjectFile="$(IntDir)/$(InputName)1.obj"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32">
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-							ObjectFile="$(IntDir)/$(InputName)1.obj"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath=".\7z\Common\Vector.h">
-				</File>
-				<File
 					RelativePath=".\7z\Common\Wildcard.cpp">
 					<FileConfiguration
 						Name="Release|Win32">
@@ -432,7 +412,7 @@
 							Name="VCCLCompilerTool"
 							Optimization="0"
 							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;_USRDLL;MY00AM_EXPORTS;$(NoInherit)"
+							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;_USRDLL;MY00AM_EXPORTS;$(NoInherit);EXTERNAL_CODECS"
 							BasicRuntimeChecks="3"
 							UsePrecompiledHeader="0"
 							BrowseInformation="1"/>
@@ -454,7 +434,7 @@
 							Name="VCCLCompilerTool"
 							Optimization="0"
 							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;_USRDLL;MY00AM_EXPORTS;$(NoInherit)"
+							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;_USRDLL;MY00AM_EXPORTS;$(NoInherit);EXTERNAL_CODECS"
 							BasicRuntimeChecks="3"
 							UsePrecompiledHeader="0"
 							BrowseInformation="1"/>
@@ -479,7 +459,7 @@
 							Name="VCCLCompilerTool"
 							Optimization="0"
 							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;_USRDLL;MY00AM_EXPORTS;$(NoInherit)"
+							PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_MBCS;_USRDLL;MY00AM_EXPORTS;$(NoInherit);EXTERNAL_CODECS"
 							BasicRuntimeChecks="3"
 							UsePrecompiledHeader="0"
 							BrowseInformation="1"/>
@@ -489,6 +469,12 @@
 					RelativePath="7z\7zip\Bundles\ax7z\OpenCallback.h">
 				</File>
 				<File
+					RelativePath=".\7z\7zip\Bundles\ax7z\PasswordManager.cpp">
+				</File>
+				<File
+					RelativePath=".\7z\7zip\Bundles\ax7z\PasswordManager.h">
+				</File>
+				<File
 					RelativePath=".\7z\7zip\Bundles\ax7z\SolidArchiveExtractCallback.cpp">
 					<FileConfiguration
 						Name="Release|Win32">
@@ -500,12 +486,22 @@
 						Name="Debug|Win32">
 						<Tool
 							Name="VCCLCompilerTool"
+							PreprocessorDefinitions="EXTERNAL_CODECS"
 							UsePrecompiledHeader="0"/>
 					</FileConfiguration>
 				</File>
 				<File
 					RelativePath=".\7z\7zip\Bundles\ax7z\SolidArchiveExtractCallback.h">
 				</File>
+				<File
+					RelativePath=".\7z\7zip\Bundles\ax7z\SolidCache.cpp">
+				</File>
+				<File
+					RelativePath=".\7z\7zip\Bundles\ax7z\SolidCache.h">
+				</File>
+				<File
+					RelativePath=".\7z\7zip\Bundles\ax7z\SolidCacheDisk.cpp">
+				</File>
 			</Filter>
 			<Filter
 				Name="7-zip Common"
@@ -713,7 +709,7 @@
 					RelativePath=".\7z\7zip\Ui\Common\ArchiveOpenCallback.h">
 				</File>
 				<File
-					RelativePath=".\7z\7zip\Ui\Common\ArchiverInfo.cpp">
+					RelativePath=".\7z\7zip\Ui\Common\DefaultName.cpp">
 					<FileConfiguration
 						Name="Release|Win32">
 						<Tool
@@ -730,27 +726,13 @@
 					</FileConfiguration>
 				</File>
 				<File
-					RelativePath=".\7z\7zip\Ui\Common\ArchiverInfo.h">
+					RelativePath=".\7z\7zip\Ui\Common\DefaultName.h">
 				</File>
 				<File
-					RelativePath=".\7z\7zip\Ui\Common\DefaultName.cpp">
-					<FileConfiguration
-						Name="Release|Win32">
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-							ObjectFile="$(IntDir)/$(InputName)1.obj"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Debug|Win32">
-						<Tool
-							Name="VCCLCompilerTool"
-							UsePrecompiledHeader="0"
-							ObjectFile="$(IntDir)/$(InputName)1.obj"/>
-					</FileConfiguration>
+					RelativePath=".\7z\7zip\ui\common\LoadCodecs.cpp">
 				</File>
 				<File
-					RelativePath=".\7z\7zip\Ui\Common\DefaultName.h">
+					RelativePath=".\7z\7zip\ui\common\LoadCodecs.h">
 				</File>
 				<File
 					RelativePath=".\7z\7zip\Ui\Common\OpenArchive.cpp">
@@ -778,6 +760,31 @@
 			Name="Resource Files"
 			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
 		</Filter>
+		<Filter
+			Name="sqlite3"
+			Filter="">
+			<File
+				RelativePath=".\sqlite3\sqlite3.c">
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						PreprocessorDefinitions="SQLITE_THREADSAFE;_WIN32_WINNT=0x500"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						PreprocessorDefinitions="SQLITE_THREADSAFE;_WIN32_WINNT=0x500"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\sqlite3\sqlite3.h">
+			</File>
+			<File
+				RelativePath=".\sqlite3\sqlite3helper.h">
+			</File>
+		</Filter>
 		<File
 			RelativePath=".\ax7z.txt">
 		</File>
